Skip to main content
PATCH
/
v1
/
people
/
{person_id}
Update Person
curl --request PATCH \
  --url https://api.example.com/v1/people/{person_id} \
  --header 'Content-Type: application/json' \
  --data '
{
  "external_id": "<string>",
  "first_name": "<string>",
  "last_name": "<string>",
  "birth_date": "2023-12-25",
  "hire_date": "2023-12-25",
  "email": "jsmith@example.com",
  "phone": "<string>",
  "position": "<string>",
  "sector": "<string>",
  "photo_asset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "custom_fields": {},
  "status": "<string>"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "external_id": "<string>",
  "first_name": "<string>",
  "last_name": "<string>",
  "birth_date": "2023-12-25",
  "hire_date": "2023-12-25",
  "email": "<string>",
  "phone": "<string>",
  "position": "<string>",
  "sector": "<string>",
  "photo_asset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "status": "<string>",
  "custom_fields": {},
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "photo_url": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://acme-3f0e8fe2.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Headers

Authorization
string | null

Path Parameters

person_id
string<uuid>
required

Body

application/json
external_id
string | null
Maximum string length: 120
first_name
string | null
Required string length: 1 - 120
last_name
string | null
Maximum string length: 120
birth_date
string<date> | null
hire_date
string<date> | null
email
string<email> | null
phone
string | null
Maximum string length: 40
position
string | null
Maximum string length: 120
sector
string | null
Maximum string length: 120
photo_asset_id
string<uuid> | null
custom_fields
Custom Fields · object
status
string | null
Pattern: ^(active|inactive)$

Response

Successful Response

id
string<uuid>
required
org_id
string<uuid>
required
external_id
string | null
required
first_name
string
required
last_name
string | null
required
birth_date
string<date> | null
required
hire_date
string<date> | null
required
email
string | null
required
phone
string | null
required
position
string | null
required
sector
string | null
required
photo_asset_id
string<uuid> | null
required
status
string
required
custom_fields
Custom Fields · object
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
photo_url
string | null